# Randy Latimer 2011
from turtle import *
from random import *

def clearscreen():
    clear()
    home()
    pendown()

#def createturtles(n):
#    turtlearray=[]
#    for i in range(n):
#        turtlearray.append(Turtle())
#    return turtlearray

def createturtles(n):
    for i in range(n):
        Turtle()
    for turtle in turtles():
        turtle.speed(0)
        turtle.setheading(randint(1,360))
        red=randint(0,255)
        green=randint(0,255)
        blue=randint(0,255)
        turtle.color(red,green,blue)
        turtle.pencolor(red,green,blue)

def moveforward(n):
    for turtle in turtles():
        turtle.penup()
        turtle.forward(n)

def moveforward_pendown(n):
    for turtle in turtles():
        turtle.pendown()
        turtle.forward(n)       

def drawpolygon(sides,length,whichturtle):
    for i in range(sides):
        whichturtle.fd(length)
        whichturtle.left(360/sides)

def spinpolygon(sides,length,times,whichturtle):
    for i in range(times):
        red=randint(0,255)
        green=randint(0,255)
        blue=randint(0,255)
        pencolor=((red,green,blue))
        whichturtle.pencolor(pencolor)
        drawpolygon(sides,length,whichturtle)
        whichturtle.left(360/times)

def square(turtle):
    for i in range(4):
        turtle.forward(20)
        turtle.right(90)

def draw():
    for turtle in turtles():
        turtle.pendown()
        square(turtle)
        turtle.penup()

wn=Screen()
wn.colormode(255)
clearscreen()
speed(0)
n=200
steps=150
createturtles(n)
moveforward(steps)
#moveforward_pendown(steps)
draw()

exitonclick()
#raw_input("Press enter to end graphics")
#turtle.bye()

